{% from 'packages/components/action-link/macro.njk' import actionLink %}

{% macro hceStartCallout(params) %}
  {% set headingLevel = params.headingLevel if params.headingLevel else 3 %}
  <div class="nhsuk-warning-callout
  {%- if params.classes %} {{ params.classes }}{% endif %}"
  {%- for attribute, value in params.attributes %} {{attribute}}="{{value}}"{% endfor %}>
    <h{{ headingLevel }} class="nhsuk-warning-callout__label">
      {%- if "Important" in params.heading or "important" in params.heading %}
      {{ params.heading | safe }}<span class="nhsuk-u-visually-hidden">:</span>
      {%- else %}
      <span role="text">
        <span class="nhsuk-u-visually-hidden">Important: </span>
        {{ params.heading | safe }}
      </span>
      {%- endif %}
    </h{{ headingLevel }}>
    <p>{{ params.calloutInner1 }}</p>
    <p>
      {{ params.calloutInner2 }}
      <a href="{{ params.calloutInnerUrl }}" target="_blank" id="nhsuk-callout-link">{{ params.calloutInnerLinkText }}</a>
      {{ params.calloutInner3 }}
    </p>

    {{ actionLink({
      "text": params.calloutActionLinkText,
      "href": params.calloutActionLinkUrl,
      attributes: {
        id : 'nhsuk-callout-action-link'
      }
    }) }}
  </div>
{% endmacro %}
